<bugID>1270296<Summary>Record in FX_MIGRATION_SOURCE_BROWSER when the migration window closes or is cancelled</Summary><Description>Part of the purpose of this histogram is to indicate whether a user migrated. The first bucket records if the user chooses not to import data but it doesn't include the user simply closing the window or choosing the cancel button. I think we should record both of those (possibly in the same bucket as "Don't import anything") as they have the same result. That makes it easier to see what proportion of users import anything. Currently you have to sum up the people who imported from browsers in FX_MIGRATION_SOURCE_BROWSER and use FX_MIGRATION_ENTRY_POINT as the denominator.

Note that FX_MIGRATION_SOURCE_BROWSER isn't only for first-run though.</Description></bugID>